critbit0_clear(3)

NAME
critbit0_clear - free all memory associated with a critbit tree

SYNTAX
#include <libowfat/critbit.h> critbit0_tree cb = { 0 }; void critbit0_clear(critbit0_tree* cb);

DESCRIPTION
critbit0_clear deletes all keys in cb and frees all memory associated with it.

NOTE
This function uses recursion to traverse the tree. It may require nontrivial amounts of available stack space.

RETURN VALUE
none.

SEE ALSO
critbit0_delete(3)